#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_InfoData
{
	//Key
	std::string mKey;
	//ֵ
	int mValue;
};

class Odds2_Info
{
public:
private:
	static std::auto_ptr<Odds2_Info> msSingleton;
public:
	int GetCount();
	const Odds2_InfoData* GetData(std::string Key);
	boost::unordered_map<std::string, Odds2_InfoData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_Info* GetSingleton();
private:
	boost::unordered_map<std::string, Odds2_InfoData> mMapData;
};
